/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#include "cmdchangenotegeometry.h"

#include "notedata.h"

CmdChangeNoteGeometry::CmdChangeNoteGeometry(NoteData*subject)
		:mSubject(subject)
{
	if (mSubject)
	{
		mOldPlace = mSubject->getPosition();
		mOldSize  = mSubject->getSize();

		mNewPlace = mOldPlace;
		mNewSize  = mOldSize;
	}

}


NoteData* CmdChangeNoteGeometry::subject() const
{
	return mSubject.data();
}


void CmdChangeNoteGeometry::changeSize(const QSize& newSize)
{
	mNewSize = newSize;
}


void CmdChangeNoteGeometry::changePos(const QPoint& newPlace)
{
	mNewPlace = newPlace;
}



void CmdChangeNoteGeometry::redo()
{
	if (mSubject)
	{
		mSubject->setGeometry(mNewPlace, mNewSize);
	}
}


void CmdChangeNoteGeometry::undo()
{
	if (mSubject)
	{
		mSubject->setGeometry(mOldPlace, mOldSize);
	}
}

