/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#include "cmddeletetextnote.h"

#include "textnotedata.h"
#include "notedatafactory.h"
#include "basketcontent.h"

#include <QPoint>
#include <QSize>


#include <QtDebug>
CmdDeleteTextNote::CmdDeleteTextNote(QExplicitlySharedDataPointer<NoteData> note) :
	mSubject(note)
{
	if (mSubject)
	{
		mBasketContent = mSubject->getBasketContent();
		mSubject->getContents(mSubjectContent);
	}

}

void CmdDeleteTextNote::redo()
{
	qDebug() << "CmdDelete:redo()";

	if (mBasketContent)
	{
		mBasketContent->deleteTextNote(mSubject);
		mSubject = 0;
	}
	else
		qDebug() << "CmdDelete: mBasketContent is NULL";

}


void CmdDeleteTextNote::undo()
{
	qDebug() << "CmdDelete:undo()";

	mSubject = mBasketContent->createTextNote();
	mSubject->setContents(mSubjectContent);


}
