/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef CMDMOVESPLITTER_H
#define CMDMOVESPLITTER_H

#include <QUndoCommand>
#include <QPointer>

class TextNoteData;

class CmdMoveSplitter : public QUndoCommand
{
	public:
		CmdMoveSplitter(TextNoteData* subject);

		void redo();
		void undo();

		void setOldSizes(QList<int> sizes);
		void setNewSizes(QList<int> sizes);

		int id () const;

		bool mergeWith(const QUndoCommand *cmd);

	private:

		QPointer<TextNoteData>	mSubject;

		QList<int> mOldSizes;
		QList<int> mNewSizes;

};

#endif // CMDMOVESPLITTER_H
