/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef NOTEDATAFACTORY_H
#define NOTEDATAFACTORY_H

#include <QDomElement>
#include <QPoint>

class NoteData;
class TextNoteData;
class BasketDescriptor;
class BasketContent;

class NoteDataFactory
{
	public:
		/// Create a note by information in the XML-tag.
		static NoteData* createNoteByXML(BasketDescriptor* pBasket, BasketContent* pContent, QDomElement tag);

		/// Create an empty note as child to the supplied tag.
		static TextNoteData* createNewTextNote(BasketDescriptor* pBasket, BasketContent* pContent);

		static TextNoteData* createClonedTextNote(BasketDescriptor* pBasket, const TextNoteData* other);


};

#endif // NOTEDATAFACTORY_H
