/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef NOTEOBJECTBROKER_H
#define NOTEOBJECTBROKER_H

#include "uicapabilities.h"

#include <QObject>
#include <QPointer>


class NoteObjectToolBar;

namespace Ui {
class MainWindow;
}


class NoteObjectBroker : public QObject
{
	public:
		NoteObjectBroker(Ui::MainWindow* ui, NoteObjectToolBar* toolbar);
		void Connect(QObject* object, UICapabilities capabilities);
		void Disconnect(QObject* object, UICapabilities capabilities);

	private:

		Ui::MainWindow*					pMainWindow;
		QPointer<NoteObjectToolBar>		pNoteObjectToolbar;

		QPointer<QObject>				pConnectedObject;
};


#endif // NOTEOBJECTBROKER_H
