/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef NOTEOBJECTTOOLBAR_H
#define NOTEOBJECTTOOLBAR_H


#include <QToolBar>
#include <QPointer>
#include <QAction>

class TagManager;

class NoteObjectToolBar : public QToolBar
{
	Q_OBJECT
	public:
		NoteObjectToolBar(QWidget * parent = 0);

	public slots:

		void enableActions();
		void disableActions();
		void setActionsEnabled(bool enabled);

		void enableTaging();
		void disableTaging();
		void setTagingEnabled(bool enabled);

		void enableDeletion();
		void disableDeletion();
		void setDeletionEnabled(bool enabled);


	signals:
		void actionDelete();
		void actionSetLable(QString lable, const QIcon& icon);

	private:
		void populate();

	private:


		QPointer<TagManager>	pTagManager;

		QPointer<QAction>		pDelete;
		QPointer<QAction>		pNoteLable;


};

#endif // NOTEOBJECTTOOLBAR_H
