/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef RICHTEXTEDITTOOLBAR_H
#define RICHTEXTEDITTOOLBAR_H

#include <QToolBar>
#include <QAction>
#include <QPointer>


class RichTextEditToolBar : public QToolBar
{
	Q_OBJECT

	public:
		RichTextEditToolBar(QWidget * parent = 0);

	public slots:

		void enableActions();
		void disableActions();
		void setActionsEnabled(bool enabled);

	signals:
		void actionBold();
		void actionItalic();
		void actionUnderline();
		void actionStrikethrough();
		void actionIncSize();
		void actionDecSize();
		void actionAdjustLeft();
		void actionAdjustMid();
		void actionAdjustRight();

	private:
		void populate();


	private:
		QPointer<QAction>	pBold;
		QPointer<QAction>	pItalic;
		QPointer<QAction>	pUnderline;
		QPointer<QAction>	pStrikethrough;
		QPointer<QAction>	pIncSize;
		QPointer<QAction>	pDecSize;
		QPointer<QAction>	pAdjustLeft;
		QPointer<QAction>	pAdjustMid;
		QPointer<QAction>	pAdjustRight;

};

#endif // RICHTEXTEDITTOOLBAR_H
