/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef ABSOLUTELAYOUT_H
#define ABSOLUTELAYOUT_H

#include <QLayout>
#include <QList>

class AbsoluteLayout : public QLayout
{
	public:
		AbsoluteLayout(QWidget *parent, QSize size);
		virtual ~AbsoluteLayout();

		void addItem(QLayoutItem *item);
		QSize sizeHint() const;
		QSize minimumSize() const;
		QLayoutItem *itemAt(int) const;
		QLayoutItem *takeAt(int);
		void setGeometry(const QRect &rect);

		virtual int count() const;


	 private:
		 QList<QLayoutItem*>	m_WidgetList;
		 QSize					m_Size;

};

#endif // ABSOLUTELAYOUT_H
