/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef TAGMANAGER_H
#define TAGMANAGER_H

#include <QObject>
#include <QSharedData>
#include <QList>
#include <QPointer>
#include <QMenu>
#include <QString>
#include <QIcon>

class TagManager : public QObject, public QSharedData
{
	Q_OBJECT

	public:
		TagManager();
		QIcon getIcon(QString tag);
		QMenu* getTagMenu();

	signals:
		void tagSelected(QString tag, const QIcon& icon);

	protected slots:
		void menuSelection(QAction* action);

	protected:
		// void openTags();

	private:
		QPointer<QMenu>				mTagMenu;
		QMap<QString, QIcon>		mIconMap;

};

#endif // TAGMANAGER_H
