/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef RICHTEXTEDIT_H
#define RICHTEXTEDIT_H

#include "uicapabilities.h"
#include <QTextEdit>

class RichTextEdit : public QTextEdit
{
	Q_OBJECT

	public:
		RichTextEdit(QWidget* parent = 0);

	public slots:
		void setBold();
		void setItalic();
		void incFontSize();
		void decFontSize();
		void setUnderline();
		void setStrikethrough();
        void setLeft();
        void setRight();
        void setMid();


		void deActivated();

	signals:
		void activated(QObject* pThis, UICapabilities capabilities);



	protected:

		void focusInEvent(QFocusEvent * event);




};

#endif // RICHTEXTEDIT_H
