/****************************************************************************
	This file is part of Basqet.

	Basqet is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Basqet is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with Basqet.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#include "uicapabilities.h"

UICapabilities::UICapabilities()
		:mCanRichText(false),
		mCanDeletion(false),
		mCanLabeling(false),
		mCanConnectable(false)
{

}

UICapabilities::UICapabilities(const UICapabilities& other)
		:QObject()
{
	setRichText(other.canRichText());
	setDeletion(other.canDeletion());
	setLabeling(other.canLabeling());
}


UICapabilities::~UICapabilities()
{
}

UICapabilities& UICapabilities::operator = (const UICapabilities& other)
{
	setRichText(other.canRichText());
	setDeletion(other.canDeletion());
	setLabeling(other.canLabeling());

	return *this;
}


void UICapabilities::setRichText(const bool can)
{
	mCanRichText = can;
}

bool UICapabilities::canRichText() const
{
	return mCanRichText;
}

void UICapabilities::setDeletion(const bool can)
{
	mCanDeletion = can;
}

bool UICapabilities::canDeletion() const
{
	return mCanDeletion;
}

void UICapabilities::setLabeling(const bool can)
{
	mCanLabeling = can;
}


bool UICapabilities::canLabeling() const
{
	return mCanLabeling;
}



void UICapabilities::setConnectable(const bool can)
{
	mCanConnectable = can;
}

bool UICapabilities::canConnectable() const
{
	return mCanConnectable;
}

